Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453269 - autofs uses 100% CPU
Summary: autofs uses 100% CPU
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 17:46 UTC by Eugene Kanter
Modified: 2009-07-14 17:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:59:11 UTC


Attachments (Terms of Use)
gdb backtrace of autofs (deleted)
2008-06-28 17:46 UTC, Eugene Kanter
no flags Details
kernel dump once found on the console during system shutdown (deleted)
2008-06-28 19:02 UTC, Eugene Kanter
no flags Details

Description Eugene Kanter 2008-06-28 17:46:38 UTC
Version-Release number of selected component (if applicable):

autofs-5.0.3-15.i386

The system is on NIS:
[ekanter@viao590 ~]$ ypcat -k auto.master
/home auto.home
/net /etc/auto.net --timeout=60
[ekanter@viao590 ~]$ ypcat -k auto.home
* -rw,intr,rsize=4096,wsize=4096  192.168.1.98:/vol0/kanters/&

I am attaching thread output per
https://bugzilla.redhat.com/show_bug.cgi?id=443505#c5 in case it helps.

Comment 1 Eugene Kanter 2008-06-28 17:46:39 UTC
Created attachment 310509 [details]
gdb backtrace of autofs

Comment 2 Eugene Kanter 2008-06-28 19:02:57 UTC
Created attachment 310515 [details]
kernel dump once found on the console during system shutdown

Comment 3 Ian Kent 2008-06-30 03:00:59 UTC
Following a problem report upstream, due to a stupid mistake that
I've made in the past, Al Viro has been looking at the autofs4
code and has pointed out several races (so far) and this looks
like one of them. I'm working to fix them as Al points them out
so hopefully they will make it into the mainline kernel sometime
soon.

How often do you see this?

Ian


Comment 4 Eugene Kanter 2008-06-30 04:02:04 UTC
I see it every time the 750mhz system is started and automounted /home/user is
accessed. On 2Ghz system sometimes I don't see the problem. The screenshot was
made on a 2Ghz system.



Comment 5 Ian Kent 2008-06-30 05:08:31 UTC
(In reply to comment #4)
> I see it every time the 750mhz system is started and automounted /home/user is
> accessed. On 2Ghz system sometimes I don't see the problem. The screenshot was
> made on a 2Ghz system.

Right, no doubt it is one of the problems that Al has pointed
out, but still, the daemon shouldn't be doing this. I'll have
a look.

Ian


Comment 6 Ian Kent 2008-06-30 05:12:58 UTC
A debug log from the daemon may be useful, taken when this
happens with some indication of when it occurred so I can
relate it to the log.

If you can get a log, check out http://people.redhat.com/jmoyer
for instructions to ensure we get the log we need please.

Ian


Comment 7 Bug Zapper 2009-06-10 01:49:07 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 17:59:11 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.